Skip to main content
PUT
/
api
/
v1
/
school
/
sessions
/
{id}
Update academic session
curl --request PUT \
  --url https://test-api.afrainity.com/api/v1/school/sessions/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "start_date": "2023-11-07T05:31:56Z",
  "end_date": "2023-11-07T05:31:56Z",
  "is_deleted": true,
  "is_active": true
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

A UUID string identifying this academic session.

Body

Auto-populate created_by from request.user when available.

name
string
required
Required string length: 1 - 255
start_date
string<date-time>
required
end_date
string<date-time>
required
is_deleted
boolean
is_active
boolean

Response

{key}
any